/*
 * framebuffer.h
 *
 *  Created on: 28 mar 2016
 *      Author: crm
 */

#pragma once

#include <GL/glee.h>
#include <GL/gl.h>

#include "camera.h"

namespace Engine
	{
	class FrameBuffer
		{
		private:
			int w, h;

			GLuint fbid; // ID FrameBuffera
			GLuint rbid; // ID RenderBuffera
			GLuint tid;  // ID tekstury

			//Camera cam;

		public:
			FrameBuffer(): w(0), h(0), fbid(0u), rbid(0u), tid(0u)/*, cam(Camera::ORTHOGRAPHIC, 0, 0, 1, 10000)*/ {}
			virtual ~FrameBuffer() {clear();}

			bool init(int w, int h);
			void clear();

			int getWidth() const {return w;}
			int getHeight() const {return h;}
			GLuint getFBO() const {return fbid;}
			GLuint getTexture() const {return tid;}

			//Camera& getCamera() {return cam;}
		};
	}
