/*
 * imageptr.cpp
 *
 *  Created on: 7 mar 2016
 *      Author: crm
 */

#include "imageptr.h"

#include "imagemanager.h"

using namespace Engine;

void ImagePtr::assign(const Image *s)
	{
	if(image==s)
		return;

	if(image)
		{
		image->unref();
		if(!image->refs())
			ImageManager::free(image, true);
		}

	image=s;

	if(image)
		image->ref();
	}
